Subject: Re: [PATCH V6 mlx5-next 10/15] vfio: Remove migration protocol v1

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 2 Feb 2022 08:22:10 -0400

On Wed, Feb 02, 2022 at 12:34:31PM +0100, Cornelia Huck wrote:
> On Tue, Feb 01 2022, Jason Gunthorpe <[email-masked]> wrote:
> 
> > On Tue, Feb 01, 2022 at 03:19:18PM +0100, Cornelia Huck wrote:
> >> - have an RFC for QEMU that contains a provisional update of the
> >>   relevant vfio headers so that we can discuss the QEMU side (and maybe
> >>   shoot down any potential problems in the uapi before they are merged
> >>   in the kernel)
> >
> > This qemu patch is linked in the cover letter.
>
> The QEMU changes need to be discussed on qemu-devel, a link to a git
> tree with work in progress only goes so far.

Of course, but we are not going to bother the qemu community until the
kernel side is settled.

> (From my quick look there, this needs to have any headers changes split
> out into a separate patch. The changes in migration.c are hard to
> review; is there any chance to split the error path cleanups from the
> interface changes?)

We can do whatever, once we figure out what it actually needs to look
like. Rip and replace might be the best option.

Jason